Advertisement:

Author Topic: Upgrade fails on language files  (Read 3282 times)

Offline makv

  • Semi-Newbie
  • *
  • Posts: 56
Upgrade fails on language files
« on: November 24, 2014, 01:00:44 PM »
The upgrade process is falling over with:

Quote
The upgrader found some old or outdated language files, for the forum default language, english_british-utf8.

Please make certain you uploaded the new versions of all the files included in the package, even the theme and language files for the default theme.

I then have options to Skip, or Try English. Neither of these options seems to help - I am then directed to the security step (I've disabled it) and then up pops the message again. I'm certain I have copied over all the files, so not sure what the issue is?
« Last Edit: November 24, 2014, 01:39:11 PM by makv »

Offline Kindred

  • The Mean One
  • Support Specialist
  • SMF Legend
  • *
  • Posts: 57,080
  • Gender: Male
    • Kindred-999 on GitHub
Re: Upgrade fails on language files
« Reply #1 on: November 24, 2014, 01:27:34 PM »
well, the 2.1 beta only supports English (not british or any other language pack, since they are all pending)

You should skip that "attempt" to update, since it will never actually work right (not even sure why it is still there) (or delete the language files before upgrading.)
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

Offline makv

  • Semi-Newbie
  • *
  • Posts: 56
Re: Upgrade fails on language files
« Reply #2 on: November 24, 2014, 01:38:42 PM »
well, the 2.1 beta only supports English (not british or any other language pack, since they are all pending)

You should skip that "attempt" to update, since it will never actually work right (not even sure why it is still there) (or delete the language files before upgrading.)

OK, thanks. Other than in /Themes/default/languages where else should I look?

I ask because I'm still getting the same error, even after deleting the language files from the above directory. Actually, even using the "Try English" option fails, with:

Quote
The upgrader found some old or outdated language files, for the forum default language, english.

Skipping does not work at all.

Offline Kindred

  • The Mean One
  • Support Specialist
  • SMF Legend
  • *
  • Posts: 57,080
  • Gender: Male
    • Kindred-999 on GitHub
Re: Upgrade fails on language files
« Reply #3 on: November 24, 2014, 01:44:55 PM »
1- delete all files in the languages directory of the default theme.
2- delete all themes other than default
3- re-load the language directory from the 2.1 upgrade archive

try running the upgrade again...
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

Offline dsanchez

  • Jr. Member
  • **
  • Posts: 292
  • Gender: Male
Re: Upgrade fails on language files
« Reply #4 on: November 24, 2014, 08:47:06 PM »
I have exactly the same problem. I have removed the old Themes directory and have unziped the large upgrade file. Then I put my user and password and I get the error mentioned. If I click "Skip" it asks me to put my user/password again, and the same happens again...
Curefans.com - The meeting point for Curefans worldwide
http://www.curefans.com

kat

  • Guest
Re: Upgrade fails on language files
« Reply #5 on: November 25, 2014, 06:53:12 AM »
I replied to your topic, D. No point in hijacking a topic that's been marked as having been solved... ;)